SIRIL(1)

NAME
siril - image processing tool for astronomy and others

SYNOPSIS
Siril GUI
 siril [options] [file] Start Siril.

Siril CLI
 siril-cli [-i conf_file] [-f] [-v] [-c] [-h] [-p] [-d working_directory] [-s script_file] [-r input_pipe_path] [-w output_pipe_path] [image_file_to_open]

DESCRIPTION
Siril is an image processing tool specially tailored for noise reduction and improving the signal/noise ratio of an image from multiple captures, as required in astronomy. It provides powerful tools to align, stack and enhance pictures from various file formats, even image sequences (movies and SER files). It is optimized to run quickly with parallelism, supports all the cameras supported by libraw, and carries out its calculations with a high precision 32-bit floating point engine.

OPTIONS

-i  Starts Siril with the configuration file which path is passed in argument

-f  (or --format) Prints all supported image input formats, depending on the libraries detected at compile-time

-v  (or --version) Prints program name and version and exits

-c  (or --copyright) Prints copyright and exits

-h  (or --help) Short usage help

-p  Starts Siril without the graphical user interface and use the named pipes to accept commands and print logs and status information. On POSIX systems, the named pipes are created in /tmp/siril_commands.in and /tmp/siril_commands.out

-r  (or --inpipe) Provide an alternative path for the input pipe that receives the commands, if -p is passed. The pipe can be create by an external program with the mkfifo(1) command

-w  (or --outpipe) Provide an alternative path for the output pipe that prints logs and status updates, if -p is passed. The pipe can be create by an external program with the mkfifo(1) command

-d  (or --directory) Setting the path provided in argument in current working directory

-s  (or --script) Starts Siril without the graphical user interface and run a script instead. Scripts are text files that contain a list of commands to be executed sequentially. In these files, lines starting with a # are considered as comments. If this option is not passed, pipe operation is assumed as if -p had been passed.

image_file_to_open
    Open an image or sequence file right after start-up.

FILES
~/.config/siril/siril.cfg
    User preferences. Overridden by the -i option.
~/.siril/siril.css
    The style sheet used to change colors of the graphical user interface. This is useful for customization or if a GTK theme is incompatible with some colored elements of Siril.

LINKS
 Website with news, tutorials, FAQ and more: https://www.siril.org/
 Forum: https://discuss.pixls.us/siril
 Command reference and script/pipe operation: https://siril.readthedocs.io/en/latest/genindex.html
 Documentation: https://siril.rtfd.io
 Code and bug reports: https://gitlab.com/free-astro/siril/issues

AUTHOR
 Vincent Hourdin <vh at free-astro.org>
 Cyril Richard <cyril at free-astro.org>
 Cécile Melis <cissou8 at gmail.com>
 Adrian Knagg-Baugh (aje dot baugh plus astro at gmail dot com)